Catalog Launch#
This service is used to retrieve an access token for launching the GroupLink catalog.
POST https://gateway.groupvan.com/auth/get_catalog_token
Request#
The following parameters can be used to configure the catalog launch process. For a standard launch, use vehicle_lookup option NONE.
This will direct the user to the vehicle selection page of the catalog. VIN and Vehicle Configuration launch modes are also available.
Parameters#
account_idstring requiredID of the installer account in the member system
vehicle_lookupEnum String requiredType of vehicle lookup to use. Options are
NONE,VIN, orCONFIG. Must be fully uppercased.cart_idUUID4 requiredA unique cart ID for the punch out. Reusing a cart ID will return old cart items.
location_idstring requiredMember location ID of the location to punch out to
vinstring optionally requiredVIN of the current vehicle. Required when
vehicle_lookupisVIN.year_idstring optionally requiredYear of the current vehicle. Required when
vehicle_lookupisCONFIG.make_idstring optionally requiredMake ID of the current vehicle. Required when
vehicle_lookupisCONFIG.model_idstring optionally requiredModel ID of the current vehicle. Required when
vehicle_lookupisCONFIG.engine_idstring optionally requiredEngine ID of the current vehicle. Required when
vehicle_lookupisCONFIG. Useengine_config_idfrom Vehicle Search Service.config_idstring optionally requiredConfiguration ID of the current vehicle. Required when
vehicle_lookupisCONFIG. Useengine_key_idfrom Vehicle Search Service.base_vehicle_idstring optionally requiredBase vehicle ID of the current vehicle. Required when
vehicle_lookupisCONFIG.vehicle_to_engine_config_idstring optionally requiredVehicle to engine configuration ID of the current vehicle. Required when
vehicle_lookupisCONFIG.vehicle_type_group_idstring optionally requiredVehicle type group of current vehicle. Required when
vehicle_lookupisCONFIG.
Examples#
{
"account_id": "123ABC",
"vehicle_lookup": "NONE",
"cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847",
"location_id": "STORE1"
}
{
"account_id": "123ABC",
"vehicle_lookup": "VIN",
"cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847",
"location_id": "STORE1",
"vin": "1FMSU43F12EC93431"
}
{
"account_id": "123ABC",
"vehicle_lookup": "CONFIG",
"cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847",
"location_id": "STORE1",
"year_id": "2019",
"make_id": "59",
"model_id": "752",
"engine_id": "22695",
"config_id": "147932_2118_22695",
"base_vehicle_id": "147932",
"vehicle_to_engine_config_id": "511138",
"vehicle_type_group_id": "200"
}
Response#
This service will return an encoded access token with your launch configuration.
Example#
{
"access_token": "eyJhbGciOi ... yu_HTBaXvDw"
}
Launch#
You can now attach this access token to the launch URL as a query parameter.
https://federatedlink.com/LP/GroupVANLogin.aspx?access_token=<ACCESS_TOKEN>
This URL is now ready to launch the catalog in any modern web browser tab or iframe.